org.apache.commons.math3.filter

## Interface MeasurementModel

- All Known Implementing Classes:
    DefaultMeasurementModel

      public interface MeasurementModel

  Defines the measurement model for the use with a `KalmanFilter`.
  Since:
    3.0
  Version:
    $Id: MeasurementModel.java 1416643 2012-12-03 19:37:14Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RealMatrix` | `getMeasurementMatrix()` Returns the measurement matrix.
    `RealMatrix` | `getMeasurementNoise()` Returns the measurement noise matrix.

- - ### Method Detail

    - #### getMeasurementMatrix

          RealMatrix getMeasurementMatrix()

      Returns the measurement matrix.
      Returns:
        the measurement matrix

    - #### getMeasurementNoise

          RealMatrix getMeasurementNoise()

      Returns the measurement noise matrix. This method is called by the `KalmanFilter` every correction step, so implementations of this interface may return a modified measurement noise depending on the current iteration step.
      Returns:
        the measurement noise matrix
      See Also:
        `KalmanFilter.correct(double[])`, `KalmanFilter.correct(org.apache.commons.math3.linear.RealVector)`

Copyright (c) 2003-2013 Apache Software Foundation